===================================
Graphics and Charts
===================================

.. rubric:: Graphics and Charts


barcode
-----------------------

.. automodule:: reportlab.graphics.barcode
   :members:


charts
-----------------------

.. automodule:: reportlab.graphics.charts
   :members:


renderPDF
-----------------------

.. automodule:: reportlab.graphics.renderPDF
   :members:


renderPM
-----------------------

.. automodule:: reportlab.graphics.renderPM
   :members:


renderPS
-----------------------

.. automodule:: reportlab.graphics.renderPS
   :members:


renderSVG
-----------------------

.. automodule:: reportlab.graphics.renderSVG
   :members:


renderbase
-----------------------

.. automodule:: reportlab.graphics.renderbase
   :members:


samples
-----------------------

.. automodule:: reportlab.graphics.samples
   :members:


shapes
-----------------------

.. automodule:: reportlab.graphics.shapes
   :members:


testdrawings
-----------------------

.. automodule:: reportlab.graphics.testdrawings
   :members:


testshapes
-----------------------

.. automodule:: reportlab.graphics.testshapes
   :members:


widgetbase
-----------------------

.. automodule:: reportlab.graphics.widgetbase
   :members:


widgets
-----------------------

.. automodule:: reportlab.graphics.widgets
   :members:

